---
names:
  full: Azure Key Vault Purge Protection function is not enabled
  contextual: Purge Protection function is not enabled
description: "It is recommended the Key Vault be made recoverable by enabling the\
  \ 'Do Not Purge' function. This is in order to prevent loss of encrypted data,\
  \ including storage accounts, SQL databases, and/or dependent services provided\
  \ by Key Vault objects (Keys, Secrets, Certificates) etc."
type: COMPLIANCE_POLICY
categories:
  - SECURITY
frameworkMappings:
  - "/frameworks/cis-azure-v5.0.0/08/03/05"
  - "/frameworks/cloudaware/resource-security/data-protection-and-recovery"
similarPolicies:
  internal:
    - dec-x-0be4dfe5
  cloudConformity:
    - url: https://www.trendmicro.com/cloudoneconformity/knowledge-base/azure/KeyVault/enable-key-vault-recoverability.html
      name: Enable Key Vault Recoverability
